#include <iostream>
#include <algorithm>
#include <math.h>
using namespace std;

int main()
{
   int n;
   cin>>n;
   int a[1000001];
   double p[101];
   int i=0;
   int s=n-1;
   double mani=0;
   double manijak=0;
   double zbirko=0;
   for(;i<n;i++)cin>>a[i]>>p[i];
   sort(p,p+n);
   for(i=s;i>=0;i++){
    zbirko+=(double)a[i];
    manijak=zbirko*p[i]/100;
    if(mani<manijak)mani=manijak;
    }
  
   printf("%.4f", mani);
  
    return 0;
}